Cloud Workstations API

Allows administrators to create managed developer environments in the cloud.

Service: workstations.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://workstations.googleapis.com

REST Resource: v1beta.projects.locations.operations

Methods
cancel POST /v1beta/{name=projects/*/locations/*/operations/*}:cancel
Starts asynchronous cancellation on a long-running operation.
delete DELETE /v1beta/{name=projects/*/locations/*/operations/*}
Deletes a long-running operation.
get GET /v1beta/{name=projects/*/locations/*/operations/*}
Gets the latest state of a long-running operation.
list GET /v1beta/{name=projects/*/locations/*}/operations
Lists operations that match the specified filter in the request.

REST Resource: v1beta.projects.locations.workstationClusters

Methods
create POST /v1beta/{parent=projects/*/locations/*}/workstationClusters
Creates a new workstation cluster.
delete DELETE /v1beta/{name=projects/*/locations/*/workstationClusters/*}
Deletes the specified workstation cluster.
get GET /v1beta/{name=projects/*/locations/*/workstationClusters/*}
Returns the requested workstation cluster.
list GET /v1beta/{parent=projects/*/locations/*}/workstationClusters
Returns all workstation clusters in the specified location.
patch PATCH /v1beta/{workstationCluster.name=projects/*/locations/*/workstationClusters/*}
Updates an existing workstation cluster.

REST Resource: v1beta.projects.locations.workstationClusters.workstationConfigs

Methods
create POST /v1beta/{parent=projects/*/locations/*/workstationClusters/*}/workstationConfigs
Creates a new workstation configuration.
delete DELETE /v1beta/{name=projects/*/locations/*/workstationClusters/*/workstationConfigs/*}
Deletes the specified workstation configuration.
get GET /v1beta/{name=projects/*/locations/*/workstationClusters/*/workstationConfigs/*}
Returns the requested workstation configuration.
getIamPolicy GET /v1beta/{resource=projects/*/locations/*/workstationClusters/*/workstationConfigs/*}:getIamPolicy
Gets the access control policy for a resource.
list